package com.fzm.mall.server.admin.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.system.entity.dto.SysBlockChainPassDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysBlockChainPassSaveDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysBlockChainPassUpdateDTO;
import com.fzm.mall.server.admin.system.model.SysBlockChainPass;

/**
 * <p>
 * 系统中心-区块链管理-通证 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-08-12
 */
public interface ISysBlockChainPassService extends IService<SysBlockChainPass> {

    void save(SysBlockChainPassSaveDTO saveDTO);

    void update(SysBlockChainPassUpdateDTO updateDTO);

    void validStateUpdate(String passId, Integer validState, Long updateTime);

    void delete(String passId);

    SysBlockChainPassDTO read(String passId);

    IPage<SysBlockChainPassDTO> page(Page<SysBlockChainPassDTO> page, String blockChainId, String keyword);
}
